import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsSwitchPartitionStc } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-24 17:42
 */
interface DevopsSwitchPartitionStcCU extends ConditionUtil<DevopsSwitchPartitionStcCU>{
    ID:FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_NAME:FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_CODE:FieldUtil<DevopsSwitchPartitionStcCU>;
    CREATE_TIME:FieldUtil<DevopsSwitchPartitionStcCU>;
    UPDATE_TIME:FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_STATUS:FieldUtil<DevopsSwitchPartitionStcCU>;
    RESTORE_EMERGENCY_MODE_URL:FieldUtil<DevopsSwitchPartitionStcCU>;
}

class DevopsSwitchPartitionStcCUImpl extends ConditionUtilImpl<DevopsSwitchPartitionStcCUImpl> implements DevopsSwitchPartitionStcCU{ 
    newInstance(): DevopsSwitchPartitionStcCUImpl {
        return new DevopsSwitchPartitionStcCUImpl();
    } 
    get ID(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('partition_name','partitionName','分区名称', this);
    }
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('partition_code','partitionCode','分区编码', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('partition_status','partitionStatus','分区状态：0-正常，1-异常', this);
    }
    get RESTORE_EMERGENCY_MODE_URL(): FieldUtil<DevopsSwitchPartitionStcCU>{  
        return new FieldUtil('restore_emergency_mode_url','restoreEmergencyModeUrl','恢复紧急模式url地址', this);
    }
}

@Singleton 
class DevopsSwitchPartitionStcMU extends TableUtilImpl<DevopsSwitchPartitionStcCU,DevopsSwitchPartitionStc>{ 
    tableName  = 'devops_switch_partition_stc';
    tableFields  = ['id','partition_name','partition_code','create_time','update_time','partition_status','restore_emergency_mode_url'];
    modelFields  = ['id','partitionName','partitionCode','createTime','updateTime','partitionStatus','restoreEmergencyModeUrl'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsSwitchPartitionStcCU {
        return new DevopsSwitchPartitionStcCUImpl();
    }   

    static get ID(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('id','id','主键', new DevopsSwitchPartitionStcCUImpl());
    }
    static get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('partition_name','partitionName','分区名称', new DevopsSwitchPartitionStcCUImpl());
    }
    static get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('partition_code','partitionCode','分区编码', new DevopsSwitchPartitionStcCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new DevopsSwitchPartitionStcCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new DevopsSwitchPartitionStcCUImpl());
    }
    static get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('partition_status','partitionStatus','分区状态：0-正常，1-异常', new DevopsSwitchPartitionStcCUImpl());
    }
    static get RESTORE_EMERGENCY_MODE_URL(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return new FieldUtil('restore_emergency_mode_url','restoreEmergencyModeUrl','恢复紧急模式url地址', new DevopsSwitchPartitionStcCUImpl());
    }

    get ID(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.ID;
    }
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.PARTITION_NAME;
    }
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.PARTITION_CODE;
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.UPDATE_TIME;
    }
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.PARTITION_STATUS;
    }
    get RESTORE_EMERGENCY_MODE_URL(): FieldUtil<DevopsSwitchPartitionStcCU>{ 
        return DevopsSwitchPartitionStcMU.RESTORE_EMERGENCY_MODE_URL;
    }
}
export {DevopsSwitchPartitionStcMU, DevopsSwitchPartitionStcCU}
